Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.atomikos.icatch.jaxb.atomikos.v200510
Class AddressType

    java.lang.Object
      com.atomikos.icatch.jaxb.atomikos.v200510.AddressType

    public class AddressType

extends Object

Java class for AddressType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="AddressType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="EndPoint" type="{http://www.w3.org/2001/XMLSchema}anyURI" minOccurs="0"/>
             <element name="Reference" type="{http://www.w3.org/2001/XMLSchema}anyURI"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

Field Summary
`protected String` | `endPoint`
`protected String` | `reference`

Constructor Summary
`AddressType()`

Method Summary
`String` | `getEndPoint()` Gets the value of the endPoint property.
`String` | `getReference()` Gets the value of the reference property.
`void` | `setEndPoint(String value)` Sets the value of the endPoint property.
`void` | `setReference(String value)` Sets the value of the reference property.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### endPoint

    protected String endPoint

### reference

    protected String reference

Constructor Detail

### AddressType

    public AddressType()

Method Detail

### getEndPoint

    public String getEndPoint()

  Gets the value of the endPoint property.

  Returns:
    possible object is `String`

### setEndPoint

    public void setEndPoint(String value)

  Sets the value of the endPoint property.

  Parameters:
    `value` - allowed object is `String`

### getReference

    public String getReference()

  Gets the value of the reference property.

  Returns:
    possible object is `String`

### setReference

    public void setReference(String value)

  Sets the value of the reference property.

  Parameters:
    `value` - allowed object is `String`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012. All Rights Reserved.